### Class

# Gtk GestureClick

#### Description [src]

    final class Gtk.GestureClick : Gtk.GestureSingle {
      /* No available fields */
    }

`GtkGestureClick` is a `GtkGesture` implementation for clicks.

It is able to recognize multiple clicks on a nearby zone, which can be listened for through the `GtkGestureClick::pressed` signal. Whenever time or distance between clicks exceed the GTK defaults, `GtkGestureClick::stopped` is emitted, and the click counter is reset.

#### Hierarchy

#### Ancestors

- GtkGestureSingle
- GtkGesture
- GtkEventController
- GObject

#### Constructors

###### gtk_gesture_click_new

Returns a newly created `GtkGesture` that recognizes single and multiple presses.

#### Signals

###### Gtk.GestureClick::pressed

Emitted whenever a button or touch press happens.

###### Gtk.GestureClick::released

Emitted when a button or touch is released.

###### Gtk.GestureClick::stopped

Emitted whenever any time/distance threshold has been exceeded.

###### Gtk.GestureClick::unpaired-release

Emitted whenever the gesture receives a release event that had no previous corresponding press.

##### Signals inherited from GtkGesture (5)

###### Gtk.Gesture::begin

Emitted when the gesture is recognized.

###### Gtk.Gesture::cancel

Emitted whenever a sequence is cancelled.

###### Gtk.Gesture::end

Emitted when `gesture` either stopped recognizing the event sequences as something to be handled, or the number of touch sequences became higher or lower than `GtkGesture:n-points`.

###### Gtk.Gesture::sequence-state-changed

Emitted whenever a sequence state changes.

###### Gtk.Gesture::update

Emitted whenever an event is handled while the gesture is recognized.

#### Class structure

    struct GtkGestureClickClass {
      /* no available fields */
    }